> For the complete documentation index, see [llms.txt](https://docs.stakestone.io/stakestone/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stakestone.io/stakestone/developers/cross-chain-interfaces.md).

# Cross-chain Interfaces

## Token Transfer

#### Function

```solidity
function sendFrom(
  address _from, 
  uint16 _dstChainId, 
  bytes calldata _toAddress, 
  uint _amount, 
  address payable _refundAddress, 
  address _zroPaymentAddress, 
  bytes calldata _adapterParams
) public
```

#### ABI

```json
{
  "inputs": [
    {
      "internalType": "address",
      "name": "_from",
      "type": "address"
    },
    {
      "internalType": "uint16",
      "name": "_dstChainId",
      "type": "uint16"
    },
    {
      "internalType": "bytes",
      "name": "_toAddress",
      "type": "bytes"
    },
    {
      "internalType": "uint256",
      "name": "_amount",
      "type": "uint256"
    },
    {
      "internalType": "address payable",
      "name": "_refundAddress",
      "type": "address"
    },
    {
      "internalType": "address",
      "name": "_zroPaymentAddress",
      "type": "address"
    },
    {
      "internalType": "bytes",
      "name": "_adapterParams",
      "type": "bytes"
    }
  ],
  "name": "sendFrom",
  "outputs": [],
  "stateMutability": "payable",
  "type": "function"
}
```

\`\_dstChainId\` list could find here: <https://layerzero.gitbook.io/docs/technical-reference/mainnet/supported-chain-ids>&#x20;

## Fetch STONE Price

#### Function

```solidity
function tokenPrice() public returns (uint256 price)
```

#### ABI

```solidity
{
  "inputs": [],
  "name": "tokenPrice",
  "outputs": [
    {
      "internalType": "uint256",
      "name": "price",
      "type": "uint256"
    }
  ],
  "stateMutability": "nonpayable",
  "type": "function"
}
```

## Price Feeding

#### Function

```solidity
function updatePrice(
    uint16 _dstChainId,
    bytes memory _toAddress
) public payable returns (uint256 price) 
```

#### ABI

```solidity
{
  "inputs": [
    {
      "internalType": "uint16",
      "name": "_dstChainId",
      "type": "uint16"
    },
    {
      "internalType": "bytes",
      "name": "_toAddress",
      "type": "bytes"
    }
  ],
  "name": "updatePrice",
  "outputs": [
    {
      "internalType": "uint256",
      "name": "price",
      "type": "uint256"
    }
  ],
  "stateMutability": "payable",
  "type": "function"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stakestone.io/stakestone/developers/cross-chain-interfaces.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
